compose_run API
​string · uuid · required​string · uuid · required​string · uuid​string · uuid​integer · int32​string​boolean | null​integer | null · int32​string | null​string | null · uuid​boolean | null​boolean | null​string · date-time
​string · uuid · required​string · uuid · required​integer · int32 · min: 1 · max: 65535 · required​string · uuid​string · uuid​integer · int32​string​boolean | null​integer | null · int32​string | null​string | null · uuid​boolean | null​boolean | null​string · date-time
​string · uuid · required​string · uuid · required
Ports
Stack port expose management
List stack ports
GET
/api/v1
/projects/{projectId}/stacks/{stackId}/ports
auth_token (cookie)
or
Bearer
List all exposed ports for a stack
path Parameters
projectIdProject unique identifier
stackIdStack unique identifier
List stack ports › Responses
List of exposed ports
idstack_idinternal_portinfra_idis_publicpublic_portproxy_iddns_idUUID of the linked DNS record
tls_enabledtls_forcecreated_atExpose a port
POST
/api/v1
/projects/{projectId}/stacks/{stackId}/ports
auth_token (cookie)
or
Bearer
Expose an internal port on the stack. The stack must be deployed first.
path Parameters
projectIdProject unique identifier
stackIdStack unique identifier
Expose a port › Request Body
portInternal port to expose
Example: 8080
Expose a port › Responses
Port successfully exposed
idstack_idinternal_portinfra_idis_publicpublic_portproxy_iddns_idUUID of the linked DNS record
tls_enabledtls_forcecreated_atDelete an exposed port
DELETE
/api/v1
/projects/{projectId}/stacks/{stackId}/ports
auth_token (cookie)
or
Bearer
Removes a previously exposed port from the stack. The port to delete is identified by its public (external) port number passed in the body.
path Parameters
projectIdProject unique identifier
stackIdStack unique identifier
Delete an exposed port › Responses
Port deleted
No data returned
